<#ibiztemplate>
TARGET=PSAPPVIEWMSG
</#ibiztemplate>
import ViewMessageService from '../view-message-service';
/**
 * ${item.getName()}视图消息服务对象基类
 *
 * @export
 * @class ${item.getCodeName()}MessageServiceBase
 */
export default class ${srfclassname('${item.getCodeName()}')}MessageServiceBase extends ViewMessageService {

<#-- 动态模式为实体数据集合start -->
<#if item.getDynamicMode() == 1>
    /**
     * 支持缓存
     *
     * @type {boolean}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */
    public isEnableCache:boolean = ${item.isEnableCache()?c};

    /**
     * 缓存范围
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */
    public cacheScope:string = "${item.getCacheScope()}";

    /**
     * 缓存超时
     *
     * @type {number}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */
    public cacheTimeout:number = ${item.getCacheTimeout()?c};

    /**
     * 消息内容属性名
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */    
    public contentField:string = "<#if item.getContentPSDEField()??>${item.getContentPSDEField().getCodeName()}</#if>";

    /**
     * 消息位置属性名
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */  
    public msgPosField:string = "<#if item.getMsgPosPSDEField()??>${item.getMsgPosPSDEField().getCodeName()}</#if>";

    /**
     * 消息类型属性名
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */  
    public msgTypeField:string = "<#if item.getMsgTypePSDEField()??>${item.getMsgTypePSDEField().getCodeName()}</#if>";

    /**
     * 消息排序值属性名
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */  
    public orderValueField:string = "<#if item.getOrderValuePSDEField()??>${item.getOrderValuePSDEField().getCodeName()}</#if>";

    /**
     * 消息移除标识属性名
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */  
    public removeFlagField:string = "<#if item.getRemoveFlagPSDEField()??>${item.getRemoveFlagPSDEField().getCodeName()}</#if>";

    /**
     * 消息抬头属性名
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */  
    public getTitlePSDEField:string = "<#if item.getTitlePSDEField()??>${item.getTitlePSDEField().getCodeName()}</#if>";

    /**
     * 应用实体对象名
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */  
    public appDataEntityName:string = "<#if item.getPSAppDataEntity()??>${item.getPSAppDataEntity().getCodeName()}</#if>";

    /**
     * 实体数据集合接口名
     *
     * @type {string}
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */  
    public appDataSetName:string = "<#if item.getPSAppDEDataSet()??>${item.getPSAppDEDataSet().getCodeName()}</#if>";
</#if>
<#-- 动态模式为实体数据集合end -->

    /**
     * Creates an instance of  ${srfclassname('${item.getCodeName()}')}MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */
    public initBasicParam(){
        this.id = "${item.getId()}";
        this.name = "${item.getName()}";
        this.codename = "<#if item.getCodeName()??>${item.getCodeName()}</#if>";
        this.title = "<#if item.getTitle()??>${item.getTitle()}</#if>";
        this.content = "<#if item.getTitle()??>${item.getTitle()}</#if>";
        this.closeMode = "";
        this.position = "<#if item.getPosition() !="">${item.getPosition()}<#else>TOP</#if>";
        this.type = "<#if item.getMessageType() !="">${item.getMessageType()}<#else>INFO</#if>";
        this.isEnableRemove = ${item.isEnableRemove()?c};
        this.dynamicMode = "<#if item.getDynamicMode() == 0>STATIC<#else>DYNAMIC</#if>";
    }

}